"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getResultFields = void 0;
var console_messages_1 = require("../../../../cli/console/console.messages");
var getResultFields = function (type, types) {
    var _a;
    var fields = (_a = new RegExp("^export interface ".concat(type, " { (.*) }$"), 'm').exec(types)) === null || _a === void 0 ? void 0 : _a[1];
    if (!fields) {
        (0, console_messages_1.displayWarning)("Type ".concat(type, " missing in generated types"));
        return '';
    }
    return fields
        .split(';')
        .slice(0, -1)
        .map(function (field) { return field.split(':')[0].trim(); })
        .join('\n');
};
exports.getResultFields = getResultFields;
